/*
	PropaneTime.cpp
	Holds the system-time related functions for
	Propane Injector. Includes a multitude of functions
	to get the current time and date.

	Possible uses: Dating save game files, easter eggs

	Last updated November 08 2005 by Rav
*/

#include <time.h>

struct tm * getLocalTime() {
	time_t rawtime;
	time(&rawtime);
	return localtime(&rawtime);
}

int PI_getMonth() {
	return getLocalTime()->tm_mon;
}

int PI_getDay() {
	return getLocalTime()->tm_mday;
}

int PI_getYear() {
	return (getLocalTime()->tm_year + 1900);
}

int PI_getMinute() {
	return (getLocalTime()->tm_min);
}

int PI_getHour() {
	return (getLocalTime()->tm_hour);
}
