#ifndef _PROPANETIMERS_H_
#define _PROPANETIMERS_H_

class PropaneTimer {
public:
	float getTime();
	virtual bool update(float delta);
	void reset();
	float percentComplete();

	PropaneTimer(float limit, bool increment);
	PropaneTimer();
	virtual ~PropaneTimer();
protected:
	float timer;
	float limit;
	bool increments;
};

class PropaneAutoResetTimer : public PropaneTimer {
public:
	virtual bool update(float delta);
	PropaneAutoResetTimer(float limit, bool increment);
};

#endif
