#ifndef _SOUNDEFFECTMANAGER_H_
#define _SOUNDEFFECTMANAGER_H_

#include <vector>
using namespace std;
#include "SDL_mixer.h"

/*
	Last modified Nov 15 2005
*/

class SoundEffectManager {
public:
	void playSample(unsigned int sampleNum);
	void playSample(unsigned int sampleNum, bool override);
	void playSample(unsigned int sampleNum, bool override, unsigned int overrideChannel);
	int addSample(char *filename);
	void setVolume(int volume);

	SoundEffectManager(char *dir);
private:
	vector <Mix_Chunk*> samples;
};

#endif
