#include "PropaneInjector.h"

float _PI_OldDelta = 0.0f;
long _PI_OldStart = 0;

void PI_flip() {
	SDL_GL_SwapBuffers();
}

char *PI_getExtensions() {
	return (char*)glGetString(GL_EXTENSIONS);
}

void PI_delay(int ms) {
	SDL_Delay(ms);
}

float PI_getNewDelta() {
	_PI_OldDelta = (SDL_GetTicks() - _PI_OldStart) / 1000.0f;
	_PI_OldStart = SDL_GetTicks();
	return _PI_OldDelta;
}

long PI_getTicks() {
	return SDL_GetTicks();
}

void PI_clearScreen() {
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
}
