#ifndef _PROPANEINJECTOR_H_
#define _PROPANEINJECTOR_H_

#include "glheaders.h"
#include "SpriteManager.h"
#include "MusicManager.h"

int PI_initGL(int screenW, int screenH);
int PI_initSDL(int screenW, int screenH);
int PI_initMixer(int rate, int channels);
int PI_setWindowTitle(char *buf);
float PI_getNewDelta();
long PI_getTicks();
void PI_flip();
char* PI_getExtensions();
void PI_delay(int ms);
void PI_clearScreen();

// Functions for getting the time and
// day
int PI_getMonth();
int PI_getYear();
int PI_getDay();
int PI_getHour();
int PI_getMinute();

#endif
