#include "glheaders.h"

int PI_initSDL(int screenwidth, int screenheight) {
	if(SDL_Init(SDL_INIT_EVERYTHING) < 0) {
		return -1;
	}
	atexit(SDL_Quit);
	if(SDL_SetVideoMode(screenwidth, screenheight, 0, SDL_OPENGL | SDL_ANYFORMAT | SDL_GL_DOUBLEBUFFER) == NULL) {
		return -1;
	}

	SDL_WM_SetCaption("Propane Injector", 0);
	return 0;
}

int PI_initMixer(int rate, int channels) {
	Uint16 audioFormat = AUDIO_S16SYS;
	int buffers = 4096;

	if(Mix_OpenAudio(rate, audioFormat, channels, buffers) != 0) {
		return -1;
	}
	return 0;
}

int PI_setWindowTitle(char *buf) {
	SDL_WM_SetCaption(buf, 0);
	return 0;
}
